#!/usr/bin/env python3
# kate: indent-width 2;

tpl = '''# THIS FILE IS AUTOGENERATED -- DO NOT EDIT       #
# Edit and Re-run .ci/azure/pipelines.py instead  #

resources:
  repositories:
    - repository: templates
      type: github
      name: dune-community/dune-xt-ci
      endpoint: dune-xt-ci

jobs:
{% for image, subdir in matrix -%}
- template: azure-job-template.yml@templates
  parameters:
    dockerimage: {{ image }}
    jobname: {{subdir}}_{{ image[image.find('debian')+1+6:] }}
    subdir: {{ subdir }}
    module: 'dune-xt'
{% endfor %}
# - job: "Misc_Checks"
#   steps:
#     - bash: |
#         [[ -f ./.gitsuper ]] && echo "Please remove .gitsuper from the repo" && exit 1
#       displayName: 'Forbit .gitsuper'
'''

import os
import jinja2
import sys
from itertools import product
tpl = jinja2.Template(tpl)
images = ['debian-unstable_gcc_full', 'debian_gcc_full', 'debian_clang_full']
subdirs = ['common', 'grid', 'functions', 'la']
matrix = product(images, subdirs)
with open(os.path.join(os.path.dirname(__file__), 'pipelines.yml'), 'wt') as yml:
    yml.write(tpl.render(matrix=matrix))
